Source: gdk-pixbuf=2.21.5-6

3 views
Skip to first unread message

rbui...@rpath.com

unread,
Jul 17, 2010, 6:14:22 AM7/17/10
to gnome-develop...@googlegroups.com
================================
gdk-pixbuf:source=2.21.5-6 (previous: 2.21.5-5)
cvc rdiff gdk-pixbuf -1 /gnome.rpath.org@gnome:unstable/2.21.5-6
================================
2.21.5-6 Zhang Sen (je...@foresightlinux.org) Sat Jul 17 06:13:57 2010
Correct taghandler name

gdk-pixbuf-loader.taghandler: new
--- /dev/null
+++ gdk-pixbuf-loader.taghandler
@@ -0,0 +32 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+ echo "not enough arguments: $0 $*" >&2
+ exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+case $type in
+ files|handler)
+ case $action in
+ update|remove)
+ touch %(libdir)s/gdk-pixbuf-2.0/2.10.0/loaders.cache
+ %(bindir)s/gdk-pixbuf-query-loaders --update-cache
+ ;;
+ *)
+ echo "ERROR: taghandler $0 invoked for an action ($action) that is not handled" 1>&2
+ exit 1
+ ;;
+ esac
+ ;;
+ *)
+ echo "ERROR: taghandler $0 invoked for a type ($type) that is not handled" 1>&2
+ exit 1
+ ;;
+esac
+
+exit 0

gdk-pixbuf-loader.tagdescription: new
--- /dev/null
+++ gdk-pixbuf-loader.tagdescription
@@ -0,0 +5 @@
+file %(taghandlerdir)s/gdk-update-icon-cache
+implements files update
+implements files remove
+implements handler update
+include %(libdir)s/gtk-[^/]*/[^/]*/loaders/[^/]*\.so$

gdk-pixbuf.recipe: changed
Index: gdk-pixbuf.recipe
====================================================================
contents(size sha1)
inode(mtime)
--- gdk-pixbuf.recipe /gnome.rpath.org@gnome:unstable/2.21.5-5
+++ gdk-pixbuf.recipe /gnome.rpath.org@gnome:unstable/2.21.5-6
@@ -29,7 +29,7 @@
def unpack (r):
GnomePackageRecipe.unpack(r)

- r.addSource('gdk-update-icon-cache.tagdescription', macros=True,
- dest='%(tagdescriptiondir)s/gdk-update-icon-cache')
- r.addSource('gdk-update-icon-cache.taghandler', macros=True,
- dest='%(taghandlerdir)s/gdk-update-icon-cache', mode=0755)
+ r.addSource('gdk-pixbuf-loader.tagdescription', macros=True,
+ dest='%(tagdescriptiondir)s/gdk-pixbuf-loader')
+ r.addSource('gdk-pixbuf-loader.taghandler', macros=True,
+ dest='%(taghandlerdir)s/gdk-pixbuf-loader', mode=0755)


gdk-update-icon-cache.taghandler: removed
gdk-update-icon-cache.tagdescription: removed

Committed by: jesse

Reply all
Reply to author
Forward
0 new messages